public class SwappableInt {
    // Para solucionarlo me puedo hacer mi propia clase Integer
    private int n; // Funcionara por que n no es final
    SwappableInt(int n) {
        this.n = n;
    }
    public void swapInts(SwappableInt n2) {
        int aux = this.n;
        this.n = n2.n;
        n2.n = aux;
    }
    // Cuando tengo que operar entre 2 objs de la misma clase
    // Uno será this y el otro lo paso por parametros
    public void addInt(SwappableInt n2) {
        this.n = this.n + n2.n;
        // n = n + n2.n; // equivalente
    }
    public boolean equals(SwappableInt n2) {
        return n == n2.n;
    }
    @Override
    public String toString() {
        return "" + n;
        // return n; // incompatible types: int cannot be converted to String
    }
}
